Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.snmp
Class MIBTree

    java.lang.Object
      org.hyperic.snmp.MIBTree

    public class MIBTree

extends Object

Field Summary
`static String` | `PROP_MIBS_DIR`

Constructor Summary
`MIBTree()`

Method Summary
`static MIBTree` | `getInstance()`
`String` | `getLastLookupFailure()`
`int[]` | `getOID(String name)`
`void` | `init()`
`static void` | `main(String[] args)`
`boolean` | `parse(File file)`
`boolean` | `parse(File file, String[] accept)`
`boolean` | `parse(InputStream is)`
`boolean` | `parse(JarFile jar)`
`boolean` | `parse(JarFile jar, String[] accept)`
`boolean` | `parse(String name, InputStream is)`
`boolean` | `parse(URL url)`
`static void` | `setMibDir(String dir)`
`static String` | `toString(int[] oid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_MIBS_DIR

    public static final String PROP_MIBS_DIR

See Also:
  Constant Field Values

Constructor Detail

### MIBTree

    public MIBTree()

Method Detail

### init

    public void init()

### getInstance

    public static MIBTree getInstance()

### setMibDir

    public static void setMibDir(String dir)

### toString

    public static String toString(int[] oid)

### getOID

    public int[] getOID(String name)

### parse

    public boolean parse(JarFile jar)
                  throws IOException

  Throws:
    `IOException`

### parse

    public boolean parse(JarFile jar,
                         String[] accept)
                  throws IOException

  Throws:
    `IOException`

### parse

    public boolean parse(File file)
                  throws IOException

  Throws:
    `IOException`

### parse

    public boolean parse(File file,
                         String[] accept)
                  throws IOException

  Throws:
    `IOException`

### parse

    public boolean parse(URL url)
                  throws IOException

  Throws:
    `IOException`

### parse

    public boolean parse(String name,
                         InputStream is)
                  throws IOException

  Throws:
    `IOException`

### parse

    public boolean parse(InputStream is)
                  throws IOException

  Throws:
    `IOException`

### getLastLookupFailure

    public String getLastLookupFailure()

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.